Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.idsupport.protocol.v2
Class VerifyIdRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.idsupport.protocol.v2.VerifyIdRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:57:22+01:00",
               comments="JAXB RI v2.2.11")
    public class VerifyIdRequest

extends RequestType
implements Serializable

Structure of request message to verify the combination of person SSIN and its support card number

Java class for VerifyIdRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="VerifyIdRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}RequestType">
           <sequence>
             <element ref="{urn:be:fgov:ehealth:idsupport:core:v2}LegalContext" minOccurs="0"/>
             <element ref="{urn:be:fgov:ehealth:idsupport:core:v2}IdentificationData"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`VerifyIdRequest()`

Method Summary
`IdentificationData` | `getIdentificationData()` Gets the value of the identificationData property.
`String` | `getLegalContext()` Gets the value of the legalContext property.
`void` | `setIdentificationData(IdentificationData value)` Sets the value of the identificationData property.
`void` | `setLegalContext(String value)` Sets the value of the legalContext property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VerifyIdRequest

    public VerifyIdRequest()

Method Detail

### getLegalContext

    public String getLegalContext()

  Gets the value of the legalContext property.

  Returns:
    possible object is `String`

### setLegalContext

    public void setLegalContext(String value)

  Sets the value of the legalContext property.

  Parameters:
    `value` - allowed object is `String`

### getIdentificationData

    public IdentificationData getIdentificationData()

  Gets the value of the identificationData property.

  Returns:
    possible object is `IdentificationData`

### setIdentificationData

    public void setIdentificationData(IdentificationData value)

  Sets the value of the identificationData property.

  Parameters:
    `value` - allowed object is `IdentificationData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.